[SOLVED] CentOS 7.5 with MATE - CR repo error

Issues related to applications and software problems
Post Reply
tunk
Posts: 456
Joined: 2017/02/22 15:08:17

[SOLVED] CentOS 7.5 with MATE - CR repo error

Post by tunk » 2018/11/16 15:43:56

I'm running CentOS 7.5 with MATE. I've enabled the cr repo and try to run yum update and get
an error (all errors listed below). Running with --skip-broken produces a similar message.
Using --exclude=mate-applets,mate-disk-usage-analyzer,mate-system-monitor,marco neither work.
Using --exclude=libgtop2,gnome-system-monitor,control-center,control-center-filesystem
sort of works, but I'm a bit hesitant to do this: will it break the system? Obviously it's
a problem with libgtop; is it an alternative to uninstall libgtop and then run yum update?

Code: Select all

$ ls -l /usr/lib64/libgtop*
lrwxrwxrwx.  1 root root       21 Jul 13 15:24 libgtop-2.0.so.10 -> libgtop-2.0.so.10.0.0
-rwxr-xr-x.  1 root root    79128 Apr 11  2018 libgtop-2.0.so.10.0.0

$ yum update
...............
--> Processing Dependency: libgtop-2.0.so.10()(64bit) for package: mate-applets-1.16.0-1.el7.x86_64
--> Processing Dependency: libgtop-2.0.so.10()(64bit) for package: mate-system-monitor-1.16.0-1.el7.x86_64
--> Processing Dependency: libgtop-2.0.so.10()(64bit) for package: marco-1.16.1-3.el7.x86_64
--> Processing Dependency: libgtop-2.0.so.10()(64bit) for package: mate-disk-usage-analyzer-1.16.1-1.el7.x86_64
--> Finished Dependency Resolution
Error: Package: mate-applets-1.16.0-1.el7.x86_64 (@epel)
           Requires: libgtop-2.0.so.10()(64bit)
           Removing: libgtop2-2.34.2-2.el7.x86_64 (@anaconda)
               libgtop-2.0.so.10()(64bit)
           Updated By: libgtop2-2.38.0-3.el7.x86_64 (cr)
              ~libgtop-2.0.so.11()(64bit)
Error: Package: mate-disk-usage-analyzer-1.16.1-1.el7.x86_64 (@epel)
           Requires: libgtop-2.0.so.10()(64bit)
           Removing: libgtop2-2.34.2-2.el7.x86_64 (@anaconda)
               libgtop-2.0.so.10()(64bit)
           Updated By: libgtop2-2.38.0-3.el7.x86_64 (cr)
              ~libgtop-2.0.so.11()(64bit)
Error: Package: mate-system-monitor-1.16.0-1.el7.x86_64 (@epel)
           Requires: libgtop-2.0.so.10()(64bit)
           Removing: libgtop2-2.34.2-2.el7.x86_64 (@anaconda)
               libgtop-2.0.so.10()(64bit)
           Updated By: libgtop2-2.38.0-3.el7.x86_64 (cr)
              ~libgtop-2.0.so.11()(64bit)
Error: Package: marco-1.16.1-3.el7.x86_64 (@epel)
           Requires: libgtop-2.0.so.10()(64bit)
           Removing: libgtop2-2.34.2-2.el7.x86_64 (@anaconda)
               libgtop-2.0.so.10()(64bit)
           Updated By: libgtop2-2.38.0-3.el7.x86_64 (cr)
              ~libgtop-2.0.so.11()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

$ yum update --skip-broken
.........
Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing out that there is a problem. Eg.:
...............

$ yum update --exclude=libgtop2,gnome-system-monitor,control-center,control-center-filesystem
................
Install   11 Packages (+20 Dependent packages)
Upgrade  677 Packages
Remove     2 Packages

Total download size: 834 M
Is this ok [y/d/N]: N
Last edited by tunk on 2018/11/16 16:28:53, edited 1 time in total.

User avatar
TrevorH
Forum Moderator
Posts: 24064
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: CentOS 7.5 with MATE - CR repo error

Post by TrevorH » 2018/11/16 16:04:56

You need to --enablerepo=epel-testing to pick up the newer mate packages from there.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

tunk
Posts: 456
Joined: 2017/02/22 15:08:17

Re: CentOS 7.5 with MATE - CR repo error

Post by tunk » 2018/11/16 16:27:58

That did it, thank you!
During installation a got an SElinux Alert, I assume that can be ignored:
SElinux has detected a problem.
The source process: /usr/libexec/ibus-x11
Attempted this access: setattr
On this directory: /usr/lib/fontconfig/cache

User avatar
avij
Forum Moderator
Posts: 2774
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: CentOS 7.5 with MATE - CR repo error

Post by avij » 2018/11/16 17:38:36

tunk wrote:
2018/11/16 16:27:58
That did it, thank you!
During installation a got an SElinux Alert, I assume that can be ignored:
SElinux has detected a problem.
The source process: /usr/libexec/ibus-x11
Attempted this access: setattr
On this directory: /usr/lib/fontconfig/cache
Yes, that happens. I haven't noticed anything breaking because of that error.

Post Reply